    POSTKICK(1)                                           POSTKICK(1)

    NAME
           postkick - kick a Postfix service

    SYNOPSIS
           postkick [-c config_dir] [-v] class service request

    DESCRIPTION
           The  postkick  command sends request to the specified ser-
           vice over a local transport channel.  This  command  makes
           Postfix  private  IPC  accessible for use in, for example,
           shell scripts.

           Options:

           -c config_dir
                  Read the main.cf configuration file  in  the  named
                  directory  instead  of  the  default  configuration
                  directory.

           -v     Enable verbose logging for debugging purposes. Mul-
                  tiple  -v  options  make  the software increasingly
                  verbose.

           Arguments:

           class  Name of a class of  local  transport  channel  end-
                  points,  either  public  (accessible  by  any local
                  user) or private (administrative access only).

           service
                  The name of a local transport endpoint  within  the
                  named class.

           request
                  A  string.  The  list of valid requests is service-
                  specific.

    DIAGNOSTICS
           Problems and transactions are logged to the standard error
           stream.

    ENVIRONMENT
           MAIL_CONFIG
                  Directory with Postfix configuration files.

           MAIL_VERBOSE
                  Enable verbose logging for debugging purposes.

    CONFIGURATION PARAMETERS
           The  following  main.cf parameters are especially relevant
           to this program. See the Postfix main.cf file  for  syntax
           details and for default values.

           queue_directory
                  Location of the Postfix queue, and of the local IPC
                  communication endpoints.

    SEE ALSO
           qmgr(8) queue manager trigger protocol
           pickup(8) local pickup daemon

    LICENSE
           The Secure Mailer license must be  distributed  with  this
           software.

    AUTHOR(S)
           Wietse Venema
           IBM T.J. Watson Research
           P.O. Box 704
           Yorktown Heights, NY 10598, USA

                                                                    1